import mysql.simplesql as sql


def insertTmcKit(tmckit):
    yield sql.Insert(table='tmckit', values={
        'barcode': tmckit.get('barcode', None),
        'name': tmckit.get('name', '')
    })


def clearTmcKit():
    yield sql.DeleteAll(table='tmckit')


def deleteTmcKit(tmckit):
    barcode = tmckit.get('barcode', None)
    if barcode:
        yield sql.Delete(table='tmckit', whereFields=['barcode'], whereValues=[barcode])


def deleteTmcKitByBarcode(barcode):
    yield sql.Delete(table='tmckit', whereFields=['barcode'], whereValues=[barcode])
