import mysql.simplesql as sql

tables = ['units']


def insertMeasure(measure):
    yield sql.Insert(table='units', values={
        'code': measure.get('idmeasure', None),
        'name': measure.get('name', ''),
        'flag': 1 if measure.get('isinteger', False) else 0,
        'frunit': measure.get('frunit', None)
    })


def deleteMeasure(measure):
    yield sql.Delete(table='units', whereFields=['code'], whereValues=[measure.get('idmeasure', None)])


def deleteMeasureByCode(idmeasure):
    yield sql.Delete(table='units', whereFields=['code'], whereValues=[idmeasure])


def clearMeasure():
    yield sql.DeleteAll(table='units')
